SELECCION DE OBJETOS

Ver el tema anterior Ver el tema siguiente Ir abajo

SELECCION DE OBJETOS

Mensaje por cd_cedenilla el Vie Dic 16, 2016 9:46 am

Hola a todos
La pregunta es la siguiente, hay forma en Lisp de pinchar un objeto, linea, texto o cualquier otro objeto y que automaticamente se seleccionen todos los objetos de la capa del objeto designado?.
Gracias

cd_cedenilla

Mensajes : 3
Fecha de inscripción : 16/12/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por saulo2016 el Vie Dic 16, 2016 4:54 pm

Si Tienes instalado ya el AutoCAD 2017, solo con el comando SELECTSIMILAR puedes seleccionar por Tipo de Objetos, Layers, Color, Linetype, Name, etc.












Saludos
avatar
saulo2016

Mensajes : 117
Fecha de inscripción : 17/03/2016
Edad : 51
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por amc.dicsac el Vie Dic 16, 2016 5:13 pm

Hola que tal, prueba esto y luego me cuentas.

Código:

(defun c:Selay (/ Ent EntData EntLay ObjSelect)
(and (setq Ent (entsel "\nSelecciona Objeto(s): "))
(setq EntData (entget (car Ent)))
(setq EntLay (assoc 8 EntData)))
(setq ObjSelect (ssget "_X" (list EntLay)))
(sssetfirst ss ss)
(princ))
avatar
amc.dicsac

Mensajes : 80
Fecha de inscripción : 17/03/2016
Edad : 27
Localización : Lima - Perú

Ver perfil de usuario http://axprogramlisp.blogspot.pe/

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por cd_cedenilla el Vie Dic 16, 2016 6:07 pm

Ante todo muchas gracias, es justo eso amc.dicac, pero veo que despues de seleccionar el objeto hay que repetir cualquier orden con "p" de conjunto previo de selección, hay alguna manera de que esa selección se quede activa en la misma rutina para por ejemplo cambiarlo de capa, color etc....
Lo dicho muchas gracias por la respuesta tan rápida y eficiente

cd_cedenilla

Mensajes : 3
Fecha de inscripción : 16/12/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por amc.dicsac el Vie Dic 16, 2016 6:11 pm

Uy lo siento habia cometido un error, aqui te la paso de nuevo.

Código:

(defun c:Selay (/ Ent EntData EntLay ObjSelect)
(and (setq Ent (entsel "\nSelecciona Objeto(s): "))
(setq EntData (entget (car Ent)))
(setq EntLay (assoc 8 EntData)))
(setq ObjSelect (ssget "_X" (list EntLay)))
(sssetfirst ObjSelect ObjSelect)
(princ))
avatar
amc.dicsac

Mensajes : 80
Fecha de inscripción : 17/03/2016
Edad : 27
Localización : Lima - Perú

Ver perfil de usuario http://axprogramlisp.blogspot.pe/

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por cd_cedenilla el Vie Dic 16, 2016 6:27 pm

Muuuuuuchas Graciasssss.

cd_cedenilla

Mensajes : 3
Fecha de inscripción : 16/12/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: SELECCION DE OBJETOS

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.